## ctdb 1.12+git20120201

=== lib/tevent/wscript ===
#!/usr/bin/env python

APPNAME = 'tevent'
VERSION = '0.9.9'

blddir = 'bin'

import sys, os

# find the buildtools directory
srcdir = '.'
while not os.path.exists(srcdir+'/buildtools') and len(srcdir.split('/')) < 5:
    srcdir = '../' + srcdir
sys.path.insert(0, srcdir + '/buildtools/wafsamba')

import wafsamba, samba_dist

samba_dist.DIST_DIRS('lib/tevent:. lib/replace:lib/replace lib/talloc:lib/talloc buildtools:buildtools')

def set_options(opt):
    opt.BUILTIN_DEFAULT('replace')
    opt.BUNDLED_EXTENSION_DEFAULT('tevent', noextension='tevent')
    opt.RECURSE('lib/replace')
    opt.RECURSE('lib/talloc')

def configure(conf):
    conf.RECURSE('lib/replace')
    conf.RECURSE('lib/talloc')

    conf.env.standalone_tevent = conf.IN_LAUNCH_DIR()

    if not conf.env.standalone_tevent:
        if conf.CHECK_BUNDLED_SYSTEM('tevent', minversion=VERSION,
                                     onlyif='talloc', implied_deps='replace talloc'):
            conf.define('USING_SYSTEM_TEVENT', 1)

    if conf.CHECK_FUNCS('epoll_create', headers='sys/epoll.h'):
        conf.DEFINE('HAVE_EPOLL', 1)

    conf.SAMBA_CONFIG_H()

def build(bld):
    bld.RECURSE('lib/replace')
    bld.RECURSE('lib/talloc')

    SRC = '''tevent.c tevent_debug.c tevent_fd.c tevent_immediate.c
             tevent_queue.c tevent_req.c tevent_select.c
             tevent_signal.c tevent_standard.c tevent_timed.c tevent_util.c tevent_wakeup.c'''

    if bld.CONFIG_SET('HAVE_EPOLL'):
        SRC += ' tevent_epoll.c'

    if not bld.CONFIG_SET('USING_SYSTEM_TEVENT'):
        bld.SAMBA_LIBRARY('tevent',
                          SRC,
                          deps='replace talloc',
                          enabled= not bld.CONFIG_SET('USING_SYSTEM_TEVENT'),
                          abi_file='ABI/tevent-%s.sigs' % VERSION,
                          abi_match='tevent_* _tevent_*',
                          vnum=VERSION,
						  is_bundled=not bld.env.standalone_tevent)

    if bld.env.standalone_tevent:
        bld.env.PKGCONFIGDIR = '${LIBDIR}/pkgconfig'
        bld.PKG_CONFIG_FILES('tevent.pc', vnum=VERSION)
        bld.INSTALL_FILES('${INCLUDEDIR}', 'tevent.h')

def test(ctx):
    '''test tevent'''
    print("The tevent testsuite is part of smbtorture in samba4")


def dist():
    '''makes a tarball for distribution'''
    samba_dist.dist()

## ctdb 1.10+git20110722

=== debian/changelog ===
ctdb (1.10+git20110722-1) unstable; urgency=low

  * New upstream snapshot
    - removed 50-fix-bashism.diff, merged upstream 
    - removed 70-ping_pong-manpage.diff, merged upstream 
  * Fix Apache's event script (Closes: #635136)
  * d/rules: reordering to match dh order (dh_installchangelogs after
    dh_installdoc, dh_installlogrotate after dh_installinit, dh_installinit
    after dh_installman, dh_strip after dh_fixperms and dh_shlibdeps before
    dh_installdeb)
  * Override lintian warning about script-not-executable (this is the way to
    disable scripts)

 -- Mathieu Parent <sathieu@debian.org>  Tue, 26 Jul 2011 19:52:42 +0200

ctdb (1.10+git20110412-2) unstable; urgency=low

  * Upload to unstable 
  * Bump Standards-Version to 3.9.2: no changes

 -- Mathieu Parent <sathieu@debian.org>  Tue, 17 May 2011 22:54:58 +0200

ctdb (1.10+git20110412-1) experimental; urgency=low

  * New upstream snapshot
    - control: add a new control opcode CTDB_CONTROL_SCHEDULE_FOR_DELETION
    - re-added a new 50-fix-bashism.diff
    - removed 62-spelling-errors.diff, merged upstream

 -- Mathieu Parent <sathieu@debian.org>  Sat, 16 Apr 2011 16:38:18 +0200

ctdb (1.10-3) experimental; urgency=low

  * Fix "FTBFS: dh_install: ctdb missing files
    (usr/share/doc/ctdb/ctdb/*), aborting" by correcting d/ctdb.install
    (Closes: #620539)

 -- Mathieu Parent <sathieu@debian.org>  Tue, 05 Apr 2011 21:37:57 +0200

ctdb (1.10-2) experimental; urgency=low

  * remove ctdb-dev to libctdb-dev

 -- Mathieu Parent <sathieu@debian.org>  Tue, 29 Mar 2011 20:40:19 +0200

ctdb (1.10-1) experimental; urgency=low

  * New upstream release, uploaded to experimental (testing needed)
    - updated 02_ctdb_diagnostics.diff
    - removed 50-fix-bashism.diff, merged upstream
    - removed 60-spelling-errors.diff, merged upstream
    - removed 61-spelling-errors-manpages.diff, merged upstream
    - removed 70-nfstickle-sysconfig.diff, fixed upstream
    - removed 71-correct-nice_service.diff, merged upstream
    - added 62-spelling-errors.diff, again
  * d/watch, d/uupdate-wrapper: use new upstream git url
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump Standards-Version to 3.9.1: no changes
  * Added 70-ping_pong-manpage.diff
  * Added 99-fix-broken-readdir-test.diff (Closes: #603155)
  * Upgrading to debhelper 7
    - Replaced 'dh_clean -k -i' by 'dh_prep -i'
  * New package ctdb-dev, add the corresponding Breaks and Replaces
  * d/ctdb.init: updated

 -- Mathieu Parent <sathieu@debian.org>  Sat, 26 Mar 2011 21:26:37 +0100

ctdb (1.0.112-12-1) unstable; urgency=low

  * New upstream release

 -- Mathieu Parent <sathieu@debian.org>  Fri, 12 Mar 2010 14:12:47 +0100

ctdb (1.0.112-11-2) unstable; urgency=low

  * New 71-correct-nice_service.diff: Correct nice_service() to be compatible
    with distributions without service
  * Add missing "scripts" directory to tests

 -- Mathieu Parent <sathieu@debian.org>  Fri, 12 Mar 2010 13:58:25 +0100

ctdb (1.0.112-11-1) unstable; urgency=low

  * New upstream release. 1.0.112 branch was recommended by Ronnie Sahlberg on
    IRC. 
  * debian/uupdate-wrapper: allow commithashes and branches as versions 
  * Bump Standards-Version to 3.8.4: no changes
  * Add ctdb-dbg: "CTDB debugging symbols" package
  * New 61-spelling-errors-manpages.diff, thanks to lintian 
  * Include testsuite in ctdb-dbg (Closes: #569206)
  * Move logfile to /var/log/ctdb. Fix "Log file should be renamed"
    (Closes: #569205)
  * 50-fix-bashism.diff is back (Fix some more bashisms)
  * New 70-nfstickle-sysconfig.diff: Don't call /etc/sysconfig/nfs

 -- Mathieu Parent <sathieu@debian.org>  Thu, 04 Mar 2010 17:43:40 +0100

ctdb (1.0.111-1) unstable; urgency=low

  * New upstream release
    - Refreshed patches
    - Refreshed ctdb.init 

 -- Mathieu Parent <sathieu@debian.org>  Mon, 04 Jan 2010 23:13:12 +0100

ctdb (1.0.108-3) unstable; urgency=low

  * 05-hurd.diff updated: to make it build on GNU Hurd again.
  * Added README.hurd for CTDB limitations on GNU Hurd.

 -- Mathieu Parent <sathieu@debian.org>  Sun, 13 Dec 2009 20:56:27 +0100

ctdb (1.0.108-2) unstable; urgency=low

  * Fix "auto init style detection fails with Debian's init script"
    by replacing ubuntu by debian in the initscript (Closes: #560385)

 -- Mathieu Parent <sathieu@debian.org>  Thu, 10 Dec 2009 21:43:54 +0100

ctdb (1.0.108-1) unstable; urgency=low

  * New upstream release
    - removed 50-fix-bashism.diff: patch integrated 
    - Updated ctdb.init (Commit 058e21d96c3c02759833fd5ddfe7b43e6a5f5740
      "From Rusty")
    - refreshed patches
  * debian/uupdate-wrapper can now pull master branch with:
    ./debian/uupdate-wrapper --version master
  * New 60-spelling-errors.diff, thanks to lintian
  * Install tests/bin/ctdb_transaction in /usr/sbin instead of docdir (as
    upstream) where it was gzipped and not executable. 

 -- Mathieu Parent <sathieu@debian.org>  Thu, 10 Dec 2009 17:00:27 +0100

ctdb (1.0.103-1) unstable; urgency=low

  * New upstream release
  * upstream changelog is now in packaging/RPM/ctdb.spec.in instead of
    packaging/RPM/ctdb.spec. Reflects this in debian/rules

 -- Mathieu Parent <sathieu@debian.org>  Thu, 05 Nov 2009 08:27:23 +0100

ctdb (1.0.99-1) unstable; urgency=low

  * New upstream release
  * ctdb.init: ported 'move the logging of the warning "No reclock file used"
    to the startup case so we only print this warning on "service ctdb start"
    and not for "service ctdb *"' from upstream
    (commit eb854f65f978f24583e221138eb4f9b917b89285)
  * Remove XS-DM-Upload-Allowed, as I am now Debian developer

 -- Mathieu Parent <sathieu@debian.org>  Sat, 24 Oct 2009 14:59:19 +0200

ctdb (1.0.92-1) unstable; urgency=low

  * New upstream release, patches integrated :
    - 30_outdated-autotools.diff 
    - 50-fix-bashism.diff
  * Change my email address, as I am now Debian developer 
  * 50-fix-bashism.diff is back for another bashism in
    config/events.d/11.natgw



=== debian/control ===
Source: ctdb
Section: net
Priority: extra
Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Uploaders: Mathieu Parent <sathieu@debian.org>
Build-Depends: debhelper (>= 7), libpopt-dev, libpcap-dev [hurd-i386]
Homepage: http://ctdb.samba.org/
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-samba/trunk/ctdb/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-samba/trunk/ctdb/

Package: ctdb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, iproute [!hurd-i386], psmisc, tdb-tools, time
Recommends: ethtool
Suggests: logrotate, lsof, libctdb-dev
Description: clustered database to store temporary data
 CTDB is a cluster implementation of the TDB database used by Samba and other
 projects to store temporary data. If an application is already using TDB for
 temporary data it is very easy to convert that application to be cluster aware 
 and use CTDB instead.
 .
 CTDB provides the same types of functions as TDB but in a clustered fashion, 
 providing a TDB-style database that spans multiple physical hosts in a cluster.
 .
 Features include:
  * CTDB provides a TDB that has consistent data and consistent locking across 
    all nodes in a cluster.
  * CTDB is very fast.
  * In case of node failures, CTDB will automatically recover and repair all TDB
    databases that it manages.
  * CTDB is the core component that provides pCIFS ("parallel CIFS") with 
    Samba3/4.
  * CTDB provides HA features such as node monitoring, node failover, and IP 
    takeover.
  * CTDB provides a reliable messaging transport to allow applications linked 
    with CTDB to communicate to other instances of the application running on
    different nodes in the cluster.
  * CTDB has pluggable transport backends. Currently implemented backends are 
    TCP and Infiniband.
  * CTDB supports a system of application specific management scripts, allowing
    applications that depend on network or filesystem resources to be managed in
    a highly available manner on a cluster. 

Package: libctdb-dev
Section: libdevel
Architecture: any
Depends: ctdb (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: ctdb (<<1.10)
Breaks: ctdb (<<1.10)
Description: clustered database to store temporary data -- development files
 CTDB is a cluster implementation of the TDB database used by Samba and other
 projects to store temporary data. If an application is already using TDB for
 temporary data it is very easy to convert that application to be cluster aware 
 and use CTDB instead.
 .
 More detailed description can be found in the ctdb package.
 .
 This package provides development files for CTDB.

Package: ctdb-dbg
Section: debug
Architecture: any
Depends: ctdb (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: clustered database to store temporary data -- debugging symbols and test suite
 CTDB is a cluster implementation of the TDB database used by Samba and other
 projects to store temporary data. If an application is already using TDB for
 temporary data it is very easy to convert that application to be cluster aware 
 and use CTDB instead.
 .
 More detailed description can be found in the ctdb package.
 .
 This package provides debugging information and test suite for CTDB. Install it
 to get a better backtrace in the event of a crash, or to test.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Set the host and build architectures for use with config.cache loading,
# cross-building, etc.
DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH_OS	:= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

export DEB_HOST_GNU_TYPE
export DEB_BUILD_GNU_TYPE
export DEB_HOST_ARCH_OS

CFLAGS = -g -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
else
  CFLAGS += -O2
endif

DESTDIR=$(CURDIR)/debian/tmp

conf_args = \
		--prefix=/usr \
		--sysconfdir=/etc \
		--mandir=/usr/share/man \
		--localstatedir=/var/lib \
		--with-logdir=/var/log/ctdb

configure: configure-stamp
configure-stamp:
	dh_testdir
	CFLAGS="$(CFLAGS)" ./configure $(conf_args)
	touch $@

#Architecture 
build: check-external-libs build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp
	[ ! -f Makefile ] || $(MAKE)
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp
	rm -f utils/smnotify/smnotify.h utils/smnotify/gen_smnotify.c
	
	rm -rf $(DESTDIR)
	[ ! -f Makefile ] || $(MAKE) distclean
	
	dh_clean 

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_prep -i 
	dh_installdirs -i
	
	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_prep -s 
	dh_installdirs -s
	
	$(MAKE) DESTDIR=$(DESTDIR) install
	mkdir -p $(DESTDIR)/etc/default
	install -m644 config/ctdb.sysconfig $(DESTDIR)/etc/default/ctdb
	dh_install -s

binary-common:
	dh_testdir
	dh_testroot
	dh_installdocs
ifeq ($(DEB_BUILD_ARCH_OS), hurd)
	dh_installdocs debian/README.hurd
endif
	dh_installchangelogs 
	#patch doc
	sed -i 's|/etc/sysconfig/|/etc/default/|' $(CURDIR)/debian/ctdb/usr/share/doc/ctdb/web/*.html
	#upstream changelog 
	grep -A 10000 '%changelog' packaging/RPM/ctdb.spec.in > $(CURDIR)/debian/ctdb/usr/share/doc/ctdb/changelog
	dh_installexamples
	dh_installman
	#install init script
	DH_OPTIONS= dh_installinit -pctdb --no-start --no-restart-on-upgrade
	dh_installlogrotate
	dh_lintian
	dh_link
	dh_compress 
	dh_fixperms
	dh_strip --dbg-package=ctdb-dbg
	dh_makeshlibs
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep

check-external-libs:
	if [ -e lib/popt ]; then \
              echo " *****************************************"; \
	      echo " **                                     **"; \
	      echo " **  tar contains external libraries!   **"; \
	      echo " **                                     **"; \
              echo " *****************************************"; \
	      echo "The tarball should be made by using uscan or"; \
	      echo "debian/uupdate-wrapper"; \
	      echo ""; \
	      exit 1; \
        fi

.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure

## ctdb 1.11%2Bgit20111102

=== debian/changelog ===
ctdb (1.11+git20111102-2~bpo60+3) squeeze-backports; urgency=low

  * Team upload
  * Fix libdir to /usr/lib so that the backport builds on amd64

 -- Christian Perrier <bubulle@debian.org>  Thu, 01 Mar 2012 22:28:18 +0100

ctdb (1.11+git20111102-2~bpo60+2) squeeze-backports; urgency=low

  * Team upload
  * Drop wildcards in libctdb-dev.install. That should hopefully
    solve build problems on autobuilders

 -- Christian Perrier <bubulle@debian.org>  Sun, 19 Feb 2012 16:59:59 +0100

ctdb (1.11+git20111102-2~bpo60+1) squeeze-backports; urgency=low

  * Team upload
  * Backport to squeeze
  * Downgrade debhelper compatibility to 8. That involves dropping
    some dh9-isms in libctdb-dev.install

 -- Christian Perrier <bubulle@debian.org>  Sun, 22 Jan 2012 19:24:57 +0100

ctdb (1.11+git20111102-2) unstable; urgency=low

  [ Steve Langasek ]
  * Further reduce debian/rules with dh:
    - move dh_auto_clean overrides to debian/clean
    - don't export various variables that are no longer used.

  [ Mathieu Parent ]
  * removed obsolete d/README.source
  * removed empty d/ctdb.links
  * d/copyright: converted to dep5
  * 04-platform-independent-get-peer-pid.diff: new
  * 05-hurd.diff: updated to prevent FTBFS:
    - include tevent.h instead of events.h
    - add ctdb_sys_check_iface_exists() function
    - part moved to 04-platform-independent-get-peer-pid.diff
  * 06-kfreebsd.diff: new, for kFreeBSD support: still doesn't build because
    ETIME is not present on kFreeBSD

 -- Mathieu Parent <sathieu@debian.org>  Fri, 25 Nov 2011 20:24:43 +0100

ctdb (1.11+git20111102-1) unstable; urgency=low

  * New upstream release
    - removed 92-apache-service-enable.diff: integrated 
    - removed 99-fix-broken-readdir-test.diff: integrated
  * d/rules, d/control, d/compat:
    - converted to dh (% target and dh_auto_*)
    - moved to compat level 9 (buildeps upgraded)
    - dh9 enabled hardening build flags
    - added hardening=+bindnow
    - dh9 enabled multiarch
      + Don't use /use/lib64 on ppc64 (Closes: #644907)
      + libctdb-dev is Multi-Arch: same
      + removed 10_no-lib64.diff: not needed with multiarch
  * ctdb.init:
    - removed gettext support
    - synced with upstream

 -- Mathieu Parent <sathieu@debian.org>  Sun, 06 Nov 2011 15:18:59 +0100

ctdb (1.0.112-12-3) stable; urgency=low

  * Really fix httpd (i.e. apache2 service) activation
    (the previous patch was depending on commit d98f175e which was not in ctdb
    1.0.112-12). 

 -- Mathieu Parent <sathieu@debian.org>  Wed, 21 Sep 2011 09:02:21 +0200

ctdb (1.0.112-12-2) stable; urgency=low

  * Fix ethtool path in /etc/ctdb/events.d/10.interface (Closes: #635135)
  * Fix httpd (i.e. apache2 service) activation (Closes: #635136)

 -- Mathieu Parent <sathieu@debian.org>  Mon, 25 Jul 2011 23:21:26 +0200

## ctdb 1.11+git20111102

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
 Uploaders: Mathieu Parent <sathieu@debian.org>
-Build-Depends: debhelper (>= 7), libpopt-dev, libpcap-dev [hurd-i386]
+Build-Depends: debhelper (>= 8.9.4~), libpopt-dev, libpcap-dev [hurd-i386]
 Homepage: http://ctdb.samba.org/
 Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/pkg-samba/trunk/ctdb/
@@ -45,6 +45,7 @@
 Package: libctdb-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ctdb (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Replaces: ctdb (<<1.10)
 Breaks: ctdb (<<1.10)

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Set the host and build architectures for use with config.cache loading,
# cross-building, etc.
DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH_OS	:= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_HOST_GNU_TYPE
export DEB_BUILD_GNU_TYPE
export DEB_HOST_ARCH_OS

export DEB_CFLAGS_MAINT_APPEND  := -Wall
export DEB_BUILD_MAINT_OPTIONS	:= hardening=+bindnow

DESTDIR=$(CURDIR)/debian/tmp

conf_args = \
		--localstatedir=/var/lib \
		--with-logdir=/var/log/ctdb

%:
	dh $@

override_dh_auto_configure: check-external-libs
	dh_auto_configure -- $(conf_args)

override_dh_auto_test:
	# skipping tests

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(DESTDIR)/etc/default
	install -m644 config/ctdb.sysconfig $(DESTDIR)/etc/default/ctdb

override_dh_installdocs:
	dh_installdocs
ifeq ($(DEB_BUILD_ARCH_OS), hurd)
	dh_installdocs debian/README.hurd
endif
	#patch doc
	sed -i 's|/etc/sysconfig/|/etc/default/|' $(CURDIR)/debian/ctdb/usr/share/doc/ctdb/web/*.html
	#upstream changelog 
	grep -A 10000 '%changelog' packaging/RPM/ctdb.spec.in > $(CURDIR)/debian/ctdb/usr/share/doc/ctdb/changelog

override_dh_installinit:
	#install init script
	DH_OPTIONS= dh_installinit -pctdb --no-start --no-restart-on-upgrade

override_dh_strip:
	dh_strip --dbg-package=ctdb-dbg

override_dh_auto_clean:
	rm -f build-arch-stamp build-indep-stamp configure-stamp
	rm -f utils/smnotify/smnotify.h utils/smnotify/gen_smnotify.c
	dh_auto_clean

check-external-libs:
	if [ -e lib/popt ]; then \
              echo " *****************************************"; \
	      echo " **                                     **"; \
	      echo " **  tar contains external libraries!   **"; \
	      echo " **                                     **"; \
              echo " *****************************************"; \
	      echo "The tarball should be made by using uscan or"; \
	      echo "debian/uupdate-wrapper"; \
	      echo ""; \
	      exit 1; \
        fi

=== debian/watch ===
version=3
opts=filenamemangle=s/^.*ctdb-([\d\.]+)/ctdb-$1/ \
http://git.samba.org/?p=ctdb.git;a=tags \
/\?p=ctdb.git;a=shortlog;h=refs/tags/ctdb-([\d\.]+) \
debian debian/uupdate-wrapper

## ctdb 1.12+git20120201

=== debian/changelog ===
ctdb (1.12+git20120201-2) unstable; urgency=low

  * Load platform dependent objs instead of Linux one
    Hopefully, this will fix FTBFS on kFreeBSD and GNU/Hurd 

 -- Mathieu Parent <sathieu@debian.org>  Sat, 04 Feb 2012 14:50:38 +0100

ctdb (1.12+git20120201-1) unstable; urgency=low

  * New upstream snapshot
    - removed 02_ctdb_diagnostics.diff: integrated
    - removed 04-platform-independent-get-peer-pid.diff: integrated
    - removed 05-hurd.diff: integrated
    - removed 06-kfreebsd.diff: integrated
    - No more patches! (except the init script)
  * I hope that it builds on kFreeBSD now ;-)
  * Build-depend on debhelper 9 now that it is in testing

 -- Mathieu Parent <sathieu@debian.org>  Thu, 02 Feb 2012 20:01:37 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
 Uploaders: Mathieu Parent <sathieu@debian.org>
-Build-Depends: debhelper (>= 8.9.4~), libpopt-dev, libpcap-dev [hurd-i386]
+Build-Depends: debhelper (>= 9), libpopt-dev, libpcap-dev [hurd-i386 kfreebsd-any]
 Homepage: http://ctdb.samba.org/
 Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/pkg-samba/trunk/ctdb/

=== debian/rules ===
--- 
+++ 
@@ -2,20 +2,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This has to be exported to make some magic below work.
-export DH_OPTIONS
-
-# Set the host and build architectures for use with config.cache loading,
-# cross-building, etc.
-DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_ARCH_OS	:= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
-DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-
-export DEB_HOST_GNU_TYPE
-export DEB_BUILD_GNU_TYPE
-export DEB_HOST_ARCH_OS
 
 export DEB_CFLAGS_MAINT_APPEND  := -Wall
 export DEB_BUILD_MAINT_OPTIONS	:= hardening=+bindnow
@@ -52,15 +38,10 @@
 
 override_dh_installinit:
 	#install init script
-	DH_OPTIONS= dh_installinit -pctdb --no-start --no-restart-on-upgrade
+	dh_installinit -pctdb --no-start --no-restart-on-upgrade
 
 override_dh_strip:
 	dh_strip --dbg-package=ctdb-dbg
-
-override_dh_auto_clean:
-	rm -f build-arch-stamp build-indep-stamp configure-stamp
-	rm -f utils/smnotify/smnotify.h utils/smnotify/gen_smnotify.c
-	dh_auto_clean
 
 check-external-libs:
 	if [ -e lib/popt ]; then \

## ctdb 2.1

=== debian/changelog ===
ctdb (2.1-2) unstable; urgency=low

  * Upload to unstable (Closes: #706690)
  * Update config.{sub,guess} to 2013-04-24
  * Include config.h in libctdb/ctdb.c (Closes: #703551)

 -- Mathieu Parent <sathieu@debian.org>  Mon, 06 May 2013 15:20:27 +0200

ctdb (2.1-1) experimental; urgency=low

  * New upstream release 2.1
    - Remove 0001-Load-platform-dependent-objs-instead-of-Linux-one.patch,
      integrated
    - ctdb.init updated
  * Moved to git:
    - Added gpb.conf
    - Updated VCS-* fields 
    - Removed d/svn-deblayout
  * d/watch, d/uupdate-wrapper: Updated to donwload from ftp.samba.org
  * Update standards-version to 3.9.4 (no changes)
  * Remove extra-license-file
  * Mark ctdb Multi-Arch: foreign
  * Fix "Hardening flags missing" (Closes: #665209)
    - Append CPPFLAGS to CFLAGS as the build system doesn't use CPPFLAGS
    - new 0001-Add-missing-LDFLAGS.patch
    - new 0002-Display-compiler-commands.patch
    - Thanks to Simon Ruderich
  * Release to experimental during freeze
  * Updated README.hurd 
  * Added README.kfreebsd 
  * ethtool is linux-any
  * Add README.Debian for Samba 3 configuration 

 -- Mathieu Parent <sathieu@debian.org>  Sat, 12 Jan 2013 17:22:06 +0100

ctdb (1.12+git20120201-3) unstable; urgency=high

  * Team upload.
  * Only depend on iproute on linux to fix installability on kfreebsd
    (Closes: #676963)
  * Update standards-version to 3.9.3 (no changes)

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Tue, 12 Jun 2012 20:43:47 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,15 @@
 Uploaders: Mathieu Parent <sathieu@debian.org>
 Build-Depends: debhelper (>= 9), libpopt-dev, libpcap-dev [hurd-i386 kfreebsd-any]
 Homepage: http://ctdb.samba.org/
-Standards-Version: 3.9.2
-Vcs-Svn: svn://svn.debian.org/pkg-samba/trunk/ctdb/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-samba/trunk/ctdb/
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/pkg-samba/ctdb.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-samba/ctdb.git
 
 Package: ctdb
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, iproute [!hurd-i386], psmisc, tdb-tools, time
-Recommends: ethtool
+Multi-Arch: foreign
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, iproute [linux-any], psmisc, tdb-tools, time
+Recommends: ethtool [linux-any]
 Suggests: logrotate, lsof, libctdb-dev
 Description: clustered database to store temporary data
  CTDB is a cluster implementation of the TDB database used by Samba and other

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DEB_CFLAGS_MAINT_APPEND  := -Wall
+# The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
+# missing (hardening) flags.
+export DEB_CFLAGS_MAINT_APPEND  := -Wall $(shell dpkg-buildflags --get CPPFLAGS)
 export DEB_BUILD_MAINT_OPTIONS	:= hardening=+bindnow
 
 DESTDIR=$(CURDIR)/debian/tmp
@@ -19,17 +21,23 @@
 	dh_auto_configure -- $(conf_args)
 
 override_dh_auto_test:
-	# skipping tests
+	# FIXME skipping tests
 
 override_dh_auto_install:
 	dh_auto_install
+	# Install /etc/default/ctdb
 	mkdir -p $(DESTDIR)/etc/default
 	install -m644 config/ctdb.sysconfig $(DESTDIR)/etc/default/ctdb
+	# Remove extra-license-file
+	rm $(DESTDIR)/usr/share/doc/ctdb/COPYING
 
 override_dh_installdocs:
 	dh_installdocs
 ifeq ($(DEB_BUILD_ARCH_OS), hurd)
 	dh_installdocs debian/README.hurd
+endif
+ifeq ($(DEB_BUILD_ARCH_OS), kfreebsd)
+	dh_installdocs debian/README.kfreebsd
 endif
 	#patch doc
 	sed -i 's|/etc/sysconfig/|/etc/default/|' $(CURDIR)/debian/ctdb/usr/share/doc/ctdb/web/*.html

=== debian/watch ===
version=3
# From http://ftp.samba.org/
opts=dversionmangle=s/\.dfsg\d+$// \
http://ftp.samba.org/pub/ctdb/ctdb-(.*).tar.gz \
debian debian/uupdate-wrapper

# From git:
#opts=dversionmangle=s/\.dfsg\d+$//,filenamemangle=s/^.*ctdb-([\d\.]+)/ctdb-$1/ \
#http://git.samba.org/?p=ctdb.git;a=tags \
#/\?p=ctdb.git;a=shortlog;h=refs/tags/ctdb-([\d\.]+) \
#debian debian/uupdate-wrapper

## ctdb 2.2+debian0

=== lib/socket_wrapper/wscript ===
#!/usr/bin/env python

import Options

def set_options(opt):
    gr = opt.option_group('developer options')
    gr.add_option('--enable-socket-wrapper',
                   help=("Turn on socket wrapper library (default=no)"),
                   action="store_true", dest='enable_socket_wrapper', default=False)

def configure(conf):
    if (Options.options.enable_socket_wrapper or Options.options.developer or Options.options.enable_selftest):
        conf.DEFINE('SOCKET_WRAPPER', 1)
        conf.ADD_GLOBAL_DEPENDENCY('socket_wrapper')

=== debian/changelog ===
ctdb (2.2+debian0-1) unstable; urgency=low

  * New upstream release 2.2
    - Removed 0001-Add-missing-LDFLAGS.patch, merged
    - Updated 0002-Display-compiler-commands.patch
    - Removed 0003-Update-config.-sub-guess-to-2013-04-24.patch (recent version
      upstream)
    - Updated 0004-Include-config.h-in-libctdb-ctdb.c-Closes-703551.patch
  * Use pristine-tar
  * Remove tdb, talloc and tevent from source and replace them by builddeps
    - Requires 0005-Fix-tdb.h-path.patch

 -- Mathieu Parent <sathieu@debian.org>  Thu, 06 Jun 2013 22:19:14 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
 Uploaders: Mathieu Parent <sathieu@debian.org>
-Build-Depends: debhelper (>= 9), libpopt-dev, libpcap-dev [hurd-i386 kfreebsd-any]
+Build-Depends: debhelper (>= 9), libpopt-dev, libpcap-dev [hurd-i386 kfreebsd-any], libtdb-dev, libtalloc-dev, libtevent-dev
 Homepage: http://ctdb.samba.org/
 Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/pkg-samba/ctdb.git

=== debian/rules ===
--- 
+++ 
@@ -52,13 +52,14 @@
 	dh_strip --dbg-package=ctdb-dbg
 
 check-external-libs:
-	if [ -e lib/popt ]; then \
+	@if [ -e lib/popt -o -e lib/tdb -o -e lib/talloc -o -e lib/tevent ]; then \
               echo " *****************************************"; \
 	      echo " **                                     **"; \
 	      echo " **  tar contains external libraries!   **"; \
 	      echo " **                                     **"; \
               echo " *****************************************"; \
-	      echo "The tarball should be made by using uscan or"; \
+	      echo "The tarball should be made by using"; \
+	      echo "git-import-orig, uscan or"; \
 	      echo "debian/uupdate-wrapper"; \
 	      echo ""; \
 	      exit 1; \

## ctdb 2.4+debian0

=== debian/changelog ===
ctdb (2.4+debian0-1) unstable; urgency=low

  * New upstream release 2.4
  * Copyright:
    - Remove references to lib/{events,talloc,tdb} as they are now builddeps
    - Add some missing copyright holders (Closes: #721104)
  * Replace obsolete iproute dependency by iproute2
  * Change ctdb.service mode to 644 from 755

 -- Mathieu Parent <sathieu@debian.org>  Thu, 29 Aug 2013 08:15:33 +0200

ctdb (2.3+debian0-1) unstable; urgency=low

  * New upstream release 2.3
    - Fixes for Mayhem crashes (Closes: #715763, #715764, #716158)
    - Removed 0005-Fix-tdb.h-path.patch, merged 
    - Removed 0002-Display-compiler-commands.patch, merged
    - Removed 0004-Include-config.h-in-libctdb-ctdb.c-Closes-703551.patch,
      merged
  * d/rules: set VERBOSE=1 (replaces 0002-Display-compiler-commands.patch)
  * d/control: set buildep versions of lib{tdb,talloc,tevent}, according to
    ctdb.spec
  * Docs are not in Makefile anymore, install using dh_installdocs
  * sudo is now required
  * Enable PCP-PMDA (Performance Co-Pilot - Performance Metric Domain Agents)
  * Use upstream init script
    - New Add-missing-remote_fs-LSB-dependency.patch: Add missing
      $remote_fs LSB dependency
  * Add systemd support

 -- Mathieu Parent <sathieu@debian.org>  Sat, 17 Aug 2013 16:54:14 +0200

## ctdb 2.5.1+debian0

=== doc/Makefile ===
DOCS = ctdb.1 ctdb.1.html \
	ctdbd.1 ctdbd.1.html \
	ctdbd_wrapper.1 ctdbd_wrapper.1.html \
	onnode.1 onnode.1.html \
	ltdbtool.1 ltdbtool.1.html \
	ping_pong.1 ping_pong.1.html \
	ctdbd.conf.5 ctdbd.conf.5.html \
	ctdb.7 ctdb.7.html \
	ctdb-tunables.7 ctdb-tunables.7.html

all: $(DOCS)

%: %.xml
	xsltproc -o $@ http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl $<

%.html: %.xml
	xsltproc -o $@ http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl $<

distclean:
	rm -f $(DOCS)

=== debian/changelog ===
ctdb (2.5.1+debian0-1) unstable; urgency=low

  * New upstream release 2.5.1
    - Removed 0001-Add-missing-remote_fs-LSB-dependency.patch: merged
      upstream
    - libctdb removed, and so is usr/lib/*/lib*.a in libctdb-dev

 -- Mathieu Parent <sathieu@debian.org>  Wed, 18 Dec 2013 12:49:04 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
 Uploaders: Mathieu Parent <sathieu@debian.org>
-Build-Depends: debhelper (>= 9), libpopt-dev, libpcap-dev [hurd-i386 kfreebsd-any], libtdb-dev, libtalloc-dev, libtevent-dev
+Build-Depends: debhelper (>= 9), libpopt-dev, libpcap-dev [hurd-i386 kfreebsd-any], libtdb-dev (>= 1.2.11), libtalloc-dev (>= 2.0.8), libtevent-dev (>= 0.9.18), libpcp3-dev, libpcp-pmda3-dev, dh-systemd (>= 1.5)
 Homepage: http://ctdb.samba.org/
 Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/pkg-samba/ctdb.git
@@ -12,13 +12,13 @@
 Package: ctdb
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, iproute [linux-any], psmisc, tdb-tools, time
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, iproute2 [linux-any], psmisc, tdb-tools, time, sudo
 Recommends: ethtool [linux-any]
 Suggests: logrotate, lsof, libctdb-dev
 Description: clustered database to store temporary data
  CTDB is a cluster implementation of the TDB database used by Samba and other
  projects to store temporary data. If an application is already using TDB for
- temporary data it is very easy to convert that application to be cluster aware 
+ temporary data it is very easy to convert that application to be cluster aware
  and use CTDB instead.
  .
  CTDB provides the same types of functions as TDB but in a clustered fashion, 
@@ -53,7 +53,7 @@
 Description: clustered database to store temporary data -- development files
  CTDB is a cluster implementation of the TDB database used by Samba and other
  projects to store temporary data. If an application is already using TDB for
- temporary data it is very easy to convert that application to be cluster aware 
+ temporary data it is very easy to convert that application to be cluster aware
  and use CTDB instead.
  .
  More detailed description can be found in the ctdb package.
@@ -67,7 +67,7 @@
 Description: clustered database to store temporary data -- debugging symbols and test suite
  CTDB is a cluster implementation of the TDB database used by Samba and other
  projects to store temporary data. If an application is already using TDB for
- temporary data it is very easy to convert that application to be cluster aware 
+ temporary data it is very easy to convert that application to be cluster aware
  and use CTDB instead.
  .
  More detailed description can be found in the ctdb package.
@@ -75,3 +75,17 @@
  This package provides debugging information and test suite for CTDB. Install it
  to get a better backtrace in the event of a crash, or to test.
 
+Package: ctdb-pcp-pmda
+Architecture: any
+Depends: ctdb (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: clustered database to store temporary data -- PDM PMDA
+ CTDB is a cluster implementation of the TDB database used by Samba and other
+ projects to store temporary data. If an application is already using TDB for
+ temporary data it is very easy to convert that application to be cluster aware
+ and use CTDB instead.
+ .
+ More detailed description can be found in the ctdb package.
+ .
+ This package provides PCP-PMDA (Performance Co-Pilot - Performance Metric
+ Domain Agents) support for CTDB.
+

=== debian/rules ===
--- 
+++ 
@@ -3,35 +3,53 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+# Show command in Makefile
+export VERBOSE=1
+
 # The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
 # missing (hardening) flags.
 export DEB_CFLAGS_MAINT_APPEND  := -Wall $(shell dpkg-buildflags --get CPPFLAGS)
+# More hardening
 export DEB_BUILD_MAINT_OPTIONS	:= hardening=+bindnow
 
 DESTDIR=$(CURDIR)/debian/tmp
 
 conf_args = \
 		--localstatedir=/var/lib \
-		--with-logdir=/var/log/ctdb
+		--with-logdir=/var/log/ctdb \
+		--enable-pmda
 
 %:
-	dh $@
+	dh $@ --with systemd
 
 override_dh_auto_configure: check-external-libs
 	dh_auto_configure -- $(conf_args)
 
 override_dh_auto_test:
-	# FIXME skipping tests
+	# skipping (runtime) tests
 
-override_dh_auto_install:
-	dh_auto_install
+override_dh_systemd_enable:
+	dh_systemd_enable -pctdb
+
+override_dh_systemd_start:
+	dh_systemd_start -pctdb --no-start --no-restart-on-upgrade
+
+override_dh_installinit:
 	# Install /etc/default/ctdb
-	mkdir -p $(DESTDIR)/etc/default
-	install -m644 config/ctdb.sysconfig $(DESTDIR)/etc/default/ctdb
-	# Remove extra-license-file
-	rm $(DESTDIR)/usr/share/doc/ctdb/COPYING
+	mkdir -p $(CURDIR)/debian/ctdb/etc/default
+	install -m644 config/ctdb.sysconfig $(CURDIR)/debian/ctdb/etc/default/ctdb
+	# Install /etc/init.d/ctdb
+	mkdir -p $(CURDIR)/debian/ctdb/etc/init.d
+	install -m755 config/ctdb.init $(CURDIR)/debian/ctdb/etc/init.d/ctdb
+	# Install /lib/systemd/system/ctdb.service
+	mkdir -p $(CURDIR)/debian/ctdb/lib/systemd/system
+	install -m644 config/ctdb.service $(CURDIR)/debian/ctdb/lib/systemd/system/ctdb.service
+	# Install dh scripts
+	dh_installinit -pctdb --no-start --no-restart-on-upgrade --onlyscripts
 
 override_dh_installdocs:
+	cp config/events.d/README README.eventscripts
+	cp config/notify.d.README README.notify.d
 	dh_installdocs
 ifeq ($(DEB_BUILD_ARCH_OS), hurd)
 	dh_installdocs debian/README.hurd
@@ -43,10 +61,6 @@
 	sed -i 's|/etc/sysconfig/|/etc/default/|' $(CURDIR)/debian/ctdb/usr/share/doc/ctdb/web/*.html
 	#upstream changelog 
 	grep -A 10000 '%changelog' packaging/RPM/ctdb.spec.in > $(CURDIR)/debian/ctdb/usr/share/doc/ctdb/changelog
-
-override_dh_installinit:
-	#install init script
-	dh_installinit -pctdb --no-start --no-restart-on-upgrade
 
 override_dh_strip:
 	dh_strip --dbg-package=ctdb-dbg

=== debian/watch ===
version=3
# From http://ftp.samba.org/
opts=dversionmangle=s/\.debian\d+$// \
http://ftp.samba.org/pub/ctdb/ctdb-(.*).tar.gz \
debian debian/uupdate-wrapper

# From git:
#opts=dversionmangle=s/\.debian\d+$//,filenamemangle=s/^.*ctdb-([\d\.]+)/ctdb-$1/ \
#http://git.samba.org/?p=ctdb.git;a=tags \
#/\?p=ctdb.git;a=shortlog;h=refs/tags/ctdb-([\d\.]+) \
#debian debian/uupdate-wrapper

## ctdb 2.5.2+debian0

=== debian/changelog ===
ctdb (2.5.2+debian0-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Remove pcp pmda support

 -- Mathieu Parent <sathieu@debian.org>  Sat, 15 Mar 2014 22:10:38 +0100

ctdb (2.5.2+debian0-1) unstable; urgency=medium

  * New upstream release 2.5.2
  * Standards-Version: 3.9.5, no change

 -- Mathieu Parent <sathieu@debian.org>  Fri, 21 Feb 2014 06:31:01 +0100

## ctdb 2.5.3+debian0

=== debian/changelog ===
ctdb (2.5.3+debian0-2) unstable; urgency=medium

  * Fixed d/watch
  * Use cgit in Vcs-Browser
  * Fix socket path (Closes: #758621)

 -- Mathieu Parent <sathieu@debian.org>  Fri, 22 Aug 2014 21:26:57 +0200

ctdb (2.5.3+debian0-1) unstable; urgency=medium

  * New upstream release 2.5.3

 -- Mathieu Parent <sathieu@debian.org>  Sat, 05 Apr 2014 13:46:43 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Mathieu Parent <sathieu@debian.org>
 Build-Depends: debhelper (>= 9), libpopt-dev, libpcap-dev [hurd-i386 kfreebsd-any], libtdb-dev (>= 1.2.11), libtalloc-dev (>= 2.0.8), libtevent-dev (>= 0.9.18), libpcp3-dev, libpcp-pmda3-dev, dh-systemd (>= 1.5)
 Homepage: http://ctdb.samba.org/
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/pkg-samba/ctdb.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-samba/ctdb.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-samba/ctdb.git
 
 Package: ctdb
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 
 conf_args = \
 		--localstatedir=/var/lib \
+		--with-socketpath=/var/run/ctdb/ctdbd.socket \
 		--with-logdir=/var/log/ctdb \
 		--enable-pmda

## ctdb 2.5.4+debian0

=== debian/changelog ===
ctdb (2.5.4+debian0-4) unstable; urgency=medium

  * Install ctdb.service during dh_install, and thus before dh_systemd_enable
    (Closes: #774328)
  * d/rules: Remove unneeded override_dh_systemd_enable

 -- Mathieu Parent <sathieu@debian.org>  Wed, 28 Jan 2015 19:19:14 +0100

ctdb (2.5.4+debian0-3) unstable; urgency=medium

  * Simplify fix for bug #773016 by simply passing --localstatedir=/var.
  * Bump standards version to 3.9.6 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 13 Dec 2014 21:55:19 +0000

ctdb (2.5.4+debian0-2) unstable; urgency=medium

  * Add socket lock path to /var/run/ctdb. Closes: #773016
  * Add myself to uploaders.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 13 Dec 2014 15:19:27 +0000

ctdb (2.5.4+debian0-1) unstable; urgency=medium

  * New upstream release 2.5.4

 -- Mathieu Parent <sathieu@debian.org>  Fri, 03 Oct 2014 22:19:47 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: net
 Priority: extra
 Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
-Uploaders: Mathieu Parent <sathieu@debian.org>
+Uploaders: Mathieu Parent <sathieu@debian.org>, Jelmer Vernooij <jelmer@debian.org>
 Build-Depends: debhelper (>= 9), libpopt-dev, libpcap-dev [hurd-i386 kfreebsd-any], libtdb-dev (>= 1.2.11), libtalloc-dev (>= 2.0.8), libtevent-dev (>= 0.9.18), libpcp3-dev, libpcp-pmda3-dev, dh-systemd (>= 1.5)
 Homepage: http://ctdb.samba.org/
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-samba/ctdb.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-samba/ctdb.git

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 DESTDIR=$(CURDIR)/debian/tmp
 
 conf_args = \
-		--localstatedir=/var/lib \
+		--localstatedir=/var \
 		--with-socketpath=/var/run/ctdb/ctdbd.socket \
 		--with-logdir=/var/log/ctdb \
 		--enable-pmda
@@ -29,9 +29,6 @@
 override_dh_auto_test:
 	# skipping (runtime) tests
 
-override_dh_systemd_enable:
-	dh_systemd_enable -pctdb
-
 override_dh_systemd_start:
 	dh_systemd_start -pctdb --no-start --no-restart-on-upgrade
 
@@ -42,9 +39,6 @@
 	# Install /etc/init.d/ctdb
 	mkdir -p $(CURDIR)/debian/ctdb/etc/init.d
 	install -m755 config/ctdb.init $(CURDIR)/debian/ctdb/etc/init.d/ctdb
-	# Install /lib/systemd/system/ctdb.service
-	mkdir -p $(CURDIR)/debian/ctdb/lib/systemd/system
-	install -m644 config/ctdb.service $(CURDIR)/debian/ctdb/lib/systemd/system/ctdb.service
 	# Install dh scripts
 	dh_installinit -pctdb --no-start --no-restart-on-upgrade --onlyscripts

=== debian/watch ===
--- 
+++ 
@@ -1,6 +1,6 @@
 version=3
 # From http://ftp.samba.org/
-opts=dversionmangle=s/\.debian\d+$// \
+opts=dversionmangle=s/\+debian\d+$// \
 http://ftp.samba.org/pub/ctdb/ctdb-(.*).tar.gz \
 debian debian/uupdate-wrapper
